---
title: WheelEvent()
slug: Web/API/WheelEvent/WheelEvent
tags:
  - Constructor
  - DOM
  - Interface
  - Reference
  - WheelEvent
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>WheelEvent()</strong></code> constructor returns a newly created {{domxref("WheelEvent")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>wheelEvent</em> = new WheelEvent(<em>typeArg</em>, <em>wheelEventInit</em>);
</pre>

<h3 id="Properties">Properties</h3>

<dl>
 <dt><code>typeArg</code></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the event.</dd>
 <dt><code>wheelEventInit</code> {{optional_inline}}</dt>
 <dd>Is a <code>WheelEventInit</code> dictionary, having the following fields:
 <ul>
  <li><code>"deltaX"</code>, optional and defaulting to <code>0.0</code>, is a <code>double</code> representing the horizontal scroll amount in the <code>deltaMode</code> unit.</li>
  <li><code>"deltaY"</code>, optional and defaulting to <code>0.0</code>, is a <code>double</code> representing the vertical scroll amount in the <code>deltaMode</code> unit.</li>
  <li><code>"deltaZ"</code>, optional and defaulting to <code>0.0</code>, is a <code>double</code> representing the scroll amount for the z-axis in the <code>deltaMode</code> unit.</li>
  <li><code>"deltaMode"</code>, optional and defaulting to <code>0</code>, is a <code>unsigned long</code> representing the unit of the delta values scroll amount. Permitted values are:
   <table class="standard-table">
    <tbody>
     <tr>
      <td class="header">Constant</td>
      <td class="header">Value</td>
      <td class="header">Description</td>
     </tr>
     <tr>
      <td><code>DOM_DELTA_PIXEL</code></td>
      <td><code>0x00</code></td>
      <td>The delta values are specified in pixels.</td>
     </tr>
     <tr>
      <td><code>DOM_DELTA_LINE</code></td>
      <td><code>0x01</code></td>
      <td>The delta values are specified in lines.</td>
     </tr>
     <tr>
      <td><code>DOM_DELTA_PAGE</code></td>
      <td><code>0x02</code></td>
      <td>The delta values are specified in pages.</td>
     </tr>
    </tbody>
   </table>
  </li>
 </ul>

 <div class="note">
 <p>The <code>WheelEventInit</code> dictionary also accepts fields from the {{domxref("MouseEvent.MouseEvent", "MouseEventInit")}}, {{domxref("UIEvent.UIEvent", "UIEventInit")}} and {{domxref("Event.Event", "EventInit")}} dictionaries.</p>
 </div>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#interface-WheelEvent', 'WheelEvent()')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WheelEvent.WheelEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("WheelEvent")}} interface it belongs to.</li>
</ul>
